// TOTEM 2006

// un socle rectangle
#declare Totem_base = 
cylinder {
	<0,0,0>
	<0,22,0>
	40
	texture {TextureTotem}
}

// un cylindre
#declare Totem_tronc = 
cylinder {
	<0,22,0>
	<0,147,0>
	26 // diamètre 52
	texture {TextureTotem}
}

// deux bandes métalliques
#declare Totem_contact = 
cylinder {
	<0,0,0>
	<0,20,0>
	26.01 // diamètre 52
	pigment {color Gray}
}

// assemblement
#declare Totem_neutre = 
union {
	object {Totem_base}
	object {Totem_tronc}
	object {Totem_contact translate <0,77,0>}
	object {Totem_contact translate <0,117,0>}
}

#declare Totem_bleu =
union {
	object {Totem_neutre}
	cylinder { <0,146.9,0> <0,147.1,0> 26.01 pigment {color rgb Bleu}}
	cylinder { <0,21.9,0> <0,22.1,0> 40.01 pigment {color rgb Bleu}}
}

#declare Totem_rouge =
union {
	object {Totem_neutre}
	cylinder { <0,146.9,0> <0,147.1,0> 26.01 pigment {color rgb Rouge}}
	cylinder { <0,21.9,0> <0,22.1,0> 40.01 pigment {color rgb Rouge}}
}                               
                    
////////////// TERRAIN DEPART                                       

#declare PosTot1 = <100,0,450>;                                  
#declare PosTot2 = <-680,0,1050>;
#declare PosTot3 = <-100,0,450>;                                  
#declare PosTot4 = <680,0,1050>;          
                                     
#declare Totems =
union {
        object { Totem_rouge translate PosTot1 }
        object { Totem_bleu translate -PosTot1 }
        object { Totem_rouge translate PosTot2 }
        object { Totem_bleu translate -PosTot2 }
        object { BalleBlanche translate PosTot3 }
        object { BalleBlanche translate -PosTot3 }
        object { BalleBlanche translate PosTot4 }
        object { BalleBlanche translate -PosTot4 }           
}                    